Name:           perl-Gtk2-Ex-Simple-List
Version:        0.50
Release:        11%{?dist}
Summary:        Simple interface to Gtk2's complex MVC list widget
License:        LGPLv2+
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Gtk2-Ex-Simple-List/
Source0:        http://www.cpan.org/authors/id/R/RM/RMCFARLA/Gtk2-Perl-Ex/Gtk2-Ex-Simple-List-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  perl(Glib::MakeHelper)
BuildRequires:  perl(Gtk2)

Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Gtk2 has a powerful, but complex MVC (Model, View, Controller) system used
to implement list and tree widgets. Gtk2::Ex::Simple::List automates the
complex setup work and allows you to treat the list model as a more natural
list of lists structure.

%prep
%setup -q -n Gtk2-Ex-Simple-List-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc examples/ 
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Tue Jun 21 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.50-11
- Perl mass rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.50-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Dec 17 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.50-9
- 661697 rebuild for fixing problems with vendorach/lib

* Sun May 02 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.50-8
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.50-7
- rebuild against perl 5.10.1

* Thu Jul 30 2009 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.50-6
- Fix mass rebuild breakdown: Add BR: perl(Glib::MakeHelper).

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.50-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.50-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.50-3
Rebuild for new perl

* Sat Dec 02 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.50-2
- bump

* Thu Nov 30 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.50-1
- Specfile autogenerated by cpanspec 1.69.1.
